import { HttpClient } from '@angular/common/http';
export declare class CommandExecutorService {
    private _http;
    /** saves the selection from the editor when focussed out */
    savedSelection: any;
    /**
     *
     * @param _http HTTP Client for making http requests
     */
    constructor(_http: HttpClient);
    /**
     * executes command from the toolbar
     *
     * @param command command to be executed
     */
    execute(command: string): void;
    /**
     * inserts image in the editor
     *
     * @param imageURI url of the image to be inserted
     */
    insertImage(imageURI: string): void;
    /**
     * uploads image to the server
     *
     * @param file file that has to be uploaded
     * @param endPoint enpoint to which the image has to be uploaded
     */
    uploadImage(file: File, endPoint: string): any;
    /**
     * inserts link in the editor
     *
     * @param params parameters that holds the information for the link
     */
    createLink(params: any): void;
    /**
     * insert color either font or background
     */
    insertColor(color: string, where: string): void;
    /** set font size for text */
    setFontSize(fontSize: string): void;
    /** insert HTML */
    private insertHtml(html);
    /**
     * check whether the value is a number or string
     * if number return true
     * else return false
     */
    private isNumeric(value);
    /** delete the text at selected range and return the value */
    private deleteAndGetElement();
    /** check any slection is made or not */
    private checkSelection();
}
